Enum
FileOpenMode
Flags to select the open mode of a File or external string.
Include Headers
seqan/seq_io.h
Remarks
These flags can be combined via the | operator. The default open mode is OPEN_RDWR | OPEN_CREATE | OPEN_APPEND.
If you omit the OPEN_APPEND flag in write mode, the file will be cleared when opened.
Functions

open | Opens a file, stream, or persistent string.

Values

OPEN_RDONLY | Open for only reading.
OPEN_WRONLY | Open for only writing.
OPEN_RDWR | Open for reading and writing.
OPEN_CREATE | Create a file if it not yet exists.
OPEN_APPEND | Keep the existing data. If this flag is not given, the file is cleared in write mode.
OPEN_QUIET | Don't print any warning message if the file could not be opened.
OPEN_MASK | (Internal) Bitmask to extract the read/write open mode.
OPEN_ASYNC | (Internal) Open the file for asynchronous file access. For asynchronous file access, use Async.
OPEN_TEMPORARY | (Internal) Automatically delete the file after close. Use openTemp to open temporary files.

Examples
Code example to test for read-only mode.
if (openMode & OPEN_MASK == OPEN_READ)
// do something if opened in read-only mode
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57